petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESCompositeSetType

Sets the type of composite preconditioner.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESCompositeSetType(SNES snes,SNESCompositeType type)

Logically Collective on SNES

### Input Parameter

| snes | - the preconditioner context
| type | - SNES_COMPOSITE_ADDITIVE (default), SNES_COMPOSITE_MULTIPLICATIVE

### Options Database Key

-snes_composite_type <type: one of multiplicative, additive, special> -Sets composite preconditioner type

### Keywords

SNES, set, type, composite preconditioner, additive, multiplicative

Level:Developer
Location:src/snes/impls/composite/snescomposite.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages